﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["Title"] = ViewData["Title"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    ViewData["PageName"] = ViewData["PageName"];
}
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using CMS.Data.Enum
@using CMS.Core.Domain.Projects
@model Projects
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="card">
            <div class="body">
                <form asp-controller="Project" asp-action="Edit" asp-area="Manager" method="post" id="forminsert">
                    @Html.AntiForgeryToken()
                    <input hidden asp-for="@Model.ID" />
                    <div class="row clearfix">
                        <div class="col-sm-12">
                            <label asp-for="@Model.Name"></label>
                            <div class="form-group">
                                <input class="form-control" asp-for="@Model.Name" />
                                <span asp-validation-for="@Model.Name"></span>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-12">
                            <label asp-for="@Model.ClientID"></label>
                            <div class="form-group">
                                <select asp-for="@Model.ClientID"
                                        asp-items="@(new SelectList(Model.Clients,"ID","FullName"))">
                                    <option value="0">Chọn khách hàng</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-12">
                            <label asp-for="StartDate"></label>
                            <div class="input-daterange input-group" data-provide="datepicker">
                                <input type="text" class="input-sm form-control" asp-for="@Model.StartDate" value="@Model.StartDate.Value.ToString("MM/dd/yyyy")">
                                <span asp-validation-for="@Model.StartDate"></span>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-12">
                            <label asp-for="EndDate"></label>
                            <div class="input-daterange input-group" data-provide="datepicker">
                                <input type="text" class="input-sm form-control" asp-for="@Model.EndDate" value="@Model.EndDate.Value.ToString("MM/dd/yyyy")">
                                <span asp-validation-for="@Model.EndDate"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-md-3 col-sm-12">
                            <label asp-for="@Model.ProjectType"></label>
                            <div class="form-group">
                                <select asp-for="@Model.ProjectType"
                                        asp-items="@(new SelectList(Model.ProjectTypes,"ID","Name"))">
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-12">
                            <label asp-for="@Model.PriorityID"></label>
                            <div class="form-group">
                                <select asp-for="@Model.PriorityID" asp-items="@Html.GetEnumSelectList<PriorityEnum>()"></select>
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-sm-12">
                            @Html.TextAreaFor(a => a.Descriptions)
                        </div>
                        <div class="col-sm-12">
                            <div class="mt-4">
                                <button type="submit" class="btn btn-primary">Update</button>
                                <a  href="@ViewData["Reffer"]"  class="btn btn-outline-secondary">Cancel</a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@section css{
    <link rel="stylesheet" href="~/lib/vendor/bootstrap-multiselect/bootstrap-multiselect.css">
    <link rel="stylesheet" href="~/lib/vendor/summernote/dist/summernote.css" />
    <link rel="stylesheet" href="~/lib/vendor/bootstrap-tagsinput/bootstrap-tagsinput.css">
    <link rel="stylesheet" href="~/lib/vendor/bootstrap-datepicker/css/bootstrap-datepicker3.min.css">
    <link href="~/lib/vendor/select2/select2.css" rel="stylesheet" />
    <style>
        span.field-validation-error {
            font-size: 12px;
            color: red;
            font-style: italic;
            width: 100%;
        }

        .select2-container .select2-choice {
            height: 32px;
            line-height: 33px;
            font-size: 13px;
        }

        .select2-container, .select2-drop, .select2-search, .select2-search input {
            border: 1px solid #CCC;
            width: 100%;
        }

        .select2-drop {
        }

        .select2-container-active .select2-choice, .select2-container-active .select2-choices {
            border: none;
        }

        .select2-container .select2-choice {
            border: none;
            background-image: none;
        }

            .select2-container .select2-choice .select2-arrow {
                border: none;
                background: #fff;
            }

        .select2-results .select2-highlighted {
            font-size: 13px;
        }
    </style>
}
@section Scripts {
    <script src="~/lib/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script><!-- bootstrap datepicker Plugin Js -->
    <script src="~/lib/vendor/bootstrap-multiselect/bootstrap-multiselect.js"></script>
    <script src="~/lib/vendor/dropify/js/dropify.min.js"></script>
    <script src="~/lib/assets/bundles/mainscripts.bundle.js"></script>
    <script src="~/lib/vendor/select2/select2.min.js"></script>
    <script src="~/lib/ckeditor/ckeditor.js"></script>

    <script>
        CKEDITOR.replace('Descriptions');
        $('select').select2();
    </script>
}